<?php

namespace App\Filament\Resources\DeviceControlResource\Pages;

use App\Filament\Resources\DeviceControlResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;
use Filament\Pages\Actions\CreateAction;

class ListDeviceControls extends ListRecords
{
    protected static string $resource = DeviceControlResource::class;

    // protected function getHeaderActions(): array
    // {
    //     return [
    //         Actions\CreateAction::make(),
    //     ];
    // }

    protected function getHeaderActions(): array
    {
        return [
            CreateAction::make()
                ->label('Crear Control Dispositivo'),
        ];
    }
}
